> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 会話一覧を取得

> 現在のユーザーの会話リストを、最近アクティブな順に取得します。



## OpenAPI

````yaml /ja/api-reference/openapi_chatflow.json get /conversations
openapi: 3.0.1
info:
  title: 高度なチャットアプリAPI (Chatflow API)
  description: >-
    Chatflow アプリケーションはセッションの永続化をサポートし、過去のチャット履歴をレスポンスのコンテキストとして使用できます。Chatflow
    アプリは `advanced-chat`
    モードを使用し、ノードの開始・完了、イテレーション、ワークフローのライフサイクルを含む詳細な実行追跡のためのワークフローレベルのストリーミングイベントを提供します。
  version: 1.0.0
servers:
  - url: https://{api_base_url}
    description: Chatflow アプリ API のベース URL です。セルフホスト環境では、独自の API ベース URL に置き換えてください。
    variables:
      api_base_url:
        default: api.dify.ai/v1
        description: API ベース URL のホストとパス（`https://` を除く）。
security:
  - ApiKeyAuth: []
tags:
  - name: チャットフロー
    description: チャットフローアプリケーションの操作です（チャットメッセージ、ワークフロー実行詳細、イベントストリーミングを含む）。
  - name: ファイル操作
    description: ファイルのアップロードとプレビューの操作です。
  - name: エンドユーザー
    description: エンドユーザー情報に関連する操作です。
  - name: メッセージフィードバック
    description: ユーザーフィードバックの操作です。
  - name: 会話管理
    description: 会話管理に関連する操作です。
  - name: 音声・テキスト変換
    description: テキスト読み上げと音声認識の操作です。
  - name: アプリケーション設定
    description: アプリケーション設定と情報を取得する操作です。
  - name: アノテーション管理
    description: ダイレクト返信用のアノテーション管理に関連する操作です。
  - name: 人間の入力
    description: 人間の入力を要する一時停止中のワークフローの再開操作です。
paths:
  /conversations:
    get:
      tags:
        - 会話管理
      summary: 会話一覧を取得
      description: 現在のユーザーの会話リストを、最近アクティブな順に取得します。
      operationId: getChatflowConversationsListJp
      parameters:
        - name: user
          in: query
          required: false
          description: ユーザー識別子。
          schema:
            type: string
        - name: last_id
          in: query
          required: false
          description: 現在のページの最後のレコードの ID（ページネーション用）です。
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: 返すレコード数です。
          schema:
            type: integer
            default: 20
            minimum: 1
            maximum: 100
        - name: sort_by
          in: query
          required: false
          description: ソートフィールドです。降順にするには '-' プレフィックスを使用します。
          schema:
            type: string
            enum:
              - created_at
              - '-created_at'
              - updated_at
              - '-updated_at'
            default: '-updated_at'
      responses:
        '200':
          description: 会話リストの取得に成功しました。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConversationsListResponse'
              examples:
                conversationsList:
                  summary: レスポンス例
                  value:
                    limit: 20
                    has_more: false
                    data:
                      - id: 45701982-8118-4bc5-8e9b-64562b4555f2
                        name: iPhone Specs Chat
                        inputs:
                          city: San Francisco
                        status: normal
                        introduction: Welcome! How can I help you today?
                        created_at: 1705407629
                        updated_at: 1705411229
        '400':
          description: '`not_chat_app` : アプリモードが API ルートと一致しません。'
          content:
            application/json:
              examples:
                not_chat_app:
                  summary: not_chat_app
                  value:
                    status: 400
                    code: not_chat_app
                    message: Please check if your app mode matches the right API route.
        '404':
          description: '`not_found` : 前の会話が存在しません（無効な `last_id`）。'
          content:
            application/json:
              examples:
                last_conversation_not_exists:
                  summary: not_found
                  value:
                    status: 404
                    code: not_found
                    message: Last Conversation Not Exists.
components:
  schemas:
    ConversationsListResponse:
      type: object
      properties:
        limit:
          type: integer
          description: 1 ページあたりの件数です。
        has_more:
          type: boolean
          description: さらに会話があるかどうかです。
        data:
          type: array
          description: 会話のリストです。
          items:
            $ref: '#/components/schemas/ConversationListItem'
    ConversationListItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: 会話 ID。
        name:
          type: string
          description: 会話名です。
        inputs:
          type: object
          additionalProperties: true
          description: 会話の入力変数です。
        status:
          type: string
          description: 会話ステータスです。アクティブな会話の場合は `normal` です。
        introduction:
          type: string
          description: 会話の紹介文です。
        created_at:
          type: integer
          format: int64
          description: 作成タイムスタンプ。
        updated_at:
          type: integer
          format: int64
          description: 最終更新タイムスタンプ。
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: API_KEY
      description: >-
        API Key 認証です。すべての API リクエストにおいて、`Authorization` HTTP ヘッダーに `Bearer `
        プレフィックスを付けた API Key を含めてください。例：`Authorization: Bearer {API_KEY}`。**API
        Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key
        の漏洩は深刻な結果につながる可能性があります。**

````